Index: src/Fl_Menu.cxx
===================================================================
--- src/Fl_Menu.cxx	(revision 10221)
+++ src/Fl_Menu.cxx	(working copy)
@@ -82,6 +82,9 @@
 
 ////////////////////////////////////////////////////////////////
 
+// These are file-local classes.
+namespace {
+
 // tiny window for title of menu:
 class menutitle : public Fl_Menu_Window {
   void draw();
@@ -118,6 +121,8 @@
   int is_inside(int x, int y);
 };
 
+} // End anonymous namespace
+
 #define LEADING 4 // extra vertical leading
 
 extern char fl_draw_shortcut;
Index: src/Fl_x.cxx
===================================================================
--- src/Fl_x.cxx	(revision 10221)
+++ src/Fl_x.cxx	(working copy)
@@ -310,9 +310,9 @@
 int fl_screen;
 XVisualInfo *fl_visual;
 Colormap fl_colormap;
-XIM fl_xim_im = 0;
+static XIM fl_xim_im = 0;
 XIC fl_xim_ic = 0;
-char fl_is_over_the_spot = 0;
+static char fl_is_over_the_spot = 0;
 static XRectangle status_area;
 
 static Atom WM_DELETE_WINDOW;
@@ -335,24 +335,24 @@
 Atom fl_XdndFinished;
 //Atom fl_XdndProxy;
 Atom fl_XdndURIList;
-Atom fl_Xatextplainutf;
-Atom fl_Xatextplainutf2;		// STR#2930 
-Atom fl_Xatextplain;
+static Atom fl_Xatextplainutf;
+static Atom fl_Xatextplainutf2;		// STR#2930 
+static Atom fl_Xatextplain;
 static Atom fl_XaText;
-Atom fl_XaCompoundText;
+static Atom fl_XaCompoundText;
 Atom fl_XaUtf8String;
-Atom fl_XaTextUriList;
-Atom fl_XaImageBmp;
-Atom fl_XaImagePNG;
-Atom fl_INCR;
-Atom fl_NET_WM_NAME;			// utf8 aware window label
-Atom fl_NET_WM_ICON_NAME;		// utf8 aware window icon name
-Atom fl_NET_SUPPORTING_WM_CHECK;
-Atom fl_NET_WM_STATE;
-Atom fl_NET_WM_STATE_FULLSCREEN;
-Atom fl_NET_WM_FULLSCREEN_MONITORS;
-Atom fl_NET_WORKAREA;
-Atom fl_NET_WM_ICON;
+static Atom fl_XaTextUriList;
+static Atom fl_XaImageBmp;
+static Atom fl_XaImagePNG;
+static Atom fl_INCR;
+static Atom fl_NET_WM_NAME;			// utf8 aware window label
+static Atom fl_NET_WM_ICON_NAME;		// utf8 aware window icon name
+static Atom fl_NET_SUPPORTING_WM_CHECK;
+static Atom fl_NET_WM_STATE;
+static Atom fl_NET_WM_STATE_FULLSCREEN;
+static Atom fl_NET_WM_FULLSCREEN_MONITORS;
+static Atom fl_NET_WORKAREA;
+static Atom fl_NET_WM_ICON;
 
 /*
   X defines 32-bit-entities to have a format value of max. 32,
@@ -384,7 +384,7 @@
 
 extern char *fl_get_font_xfld(int fnum, int size);
 
-void fl_new_ic()
+static void fl_new_ic()
 {
   XVaNestedList preedit_attr = NULL;
   XVaNestedList status_attr = NULL;
@@ -561,7 +561,7 @@
   XFree(status_attr);
 }
 
-void fl_init_xim() {
+static void fl_init_xim() {
   static int xim_warning = 2;
   if (xim_warning > 0) xim_warning--;
 
@@ -865,11 +865,11 @@
   return retval;
 }
 
-Window fl_dnd_source_window;
-Atom *fl_dnd_source_types; // null-terminated list of data types being supplied
-Atom fl_dnd_type;
-Atom fl_dnd_source_action;
-Atom fl_dnd_action;
+static Window fl_dnd_source_window;
+static Atom *fl_dnd_source_types; // null-terminated list of data types being supplied
+static Atom fl_dnd_type;
+static Atom fl_dnd_source_action;
+static Atom fl_dnd_action;
 
 void fl_sendClientMessage(Window window, Atom message,
                                  unsigned long d0,
Index: src/fl_ask.cxx
===================================================================
--- src/fl_ask.cxx	(revision 10221)
+++ src/fl_ask.cxx	(working copy)
@@ -126,7 +126,7 @@
  *                  that is asked of them...
  */
 
-void resizeform() {
+static void resizeform() {
   int	i;
   int	message_w, message_h;
   int	text_height;
Index: src/fl_font_xft.cxx
===================================================================
--- src/fl_font_xft.cxx	(revision 10221)
+++ src/fl_font_xft.cxx	(working copy)
@@ -101,8 +101,8 @@
 
 Fl_XFont_On_Demand fl_xfont;
 void *fl_xftfont = 0;
-//const char* fl_encoding_ = "iso8859-1";
-const char* fl_encoding_ = "iso10646-1";
+//static const char* fl_encoding_ = "iso8859-1";
+static const char* fl_encoding_ = "iso10646-1";
 
 static void fl_xft_font(Fl_Xlib_Graphics_Driver *driver, Fl_Font fnum, Fl_Fontsize size, int angle) {
   if (fnum==-1) { // special case to stop font caching
Index: src/fl_gtk.cxx
===================================================================
--- src/fl_gtk.cxx	(revision 10221)
+++ src/fl_gtk.cxx	(working copy)
@@ -203,7 +203,7 @@
   }
 }
 
-void gtk_round_up_box(int x, int y, int w, int h, Fl_Color c) {
+static void gtk_round_up_box(int x, int y, int w, int h, Fl_Color c) {
   fl_color(c);
   draw(FILL,	    x,   y, w,   h, 2);
 
@@ -234,7 +234,7 @@
   draw(CLOSED,	    x,   y, w,   h, 0);
 }
 
-void gtk_round_down_box(int x, int y, int w, int h, Fl_Color c) {
+static void gtk_round_down_box(int x, int y, int w, int h, Fl_Color c) {
   fl_color(c);
   draw(FILL,	    x,   y, w,   h, 2);
 
